Subject: Re: [xrblock] WGLC fordraft-ietf-xrblock-rtcp-xr-discardandxrblock-rtcp-xr-discard-rle-metrics

From: Varun Singh <[email-masked]>
Date: Thu, 5 Jul 2012 16:27:18 +0300

Hi Qin,

Apologies for the late response. I am okay with the changes detailed
below to draft-zorn-xrblock-rtcp-xr-al-stat.

Cheers,
Varun

On Mon, Jun 18, 2012 at 5:29 AM, Qin Wu <[email-masked]> wrote:
> ----- Original Message -----
> From: "Varun Singh" <[email-masked]>
> To: "Claire Bi(jiayu)" <[email-masked]>
> Cc: "xrblock" <[email-masked]>
> Sent: Saturday, June 16, 2012 7:43 AM
> Subject: Re: [xrblock] WGLC fordraft-ietf-xrblock-rtcp-xr-discardandxrblock-rtcp-xr-discard-rle-metrics
>
>
>> Hi,
>>
>> Quickly responding to the comments here.
>>
>> On Thu, Jun 14, 2012 at 8:12 PM, Claire Bi(jiayu) <[email-masked]> wrote:
>>> I have three minor comments to draft-ietf-xrblock-rtcp-xr-discard:
>>> a. Section 1.1, last paragraph:
>>> Remove "(work in progress)"
>>> b Section 3.2, Definitionof "Discard Type".
>>> Change the order of four Discard type allocated as follows:
>>> NEW TEXT:
>>> "
>>>          00: packets are discarded due to too early arrival.
>>>          01: packets are discarded due to too late arrival.
>>>          10: packets are discarded due to both early arrival and late
>>>          arrival.
>>>           11: packets are discarded due to other reasons than late
>>>          arrival, early arrival, or both (e.g., duplicate, redundant
>>>          packets).
>>> "
>>
>>
>> The burst gap discard draft requires reporting total discarded packets
>> in the discard packet and it cites that the discard draft carries this
>> information. So this needs to be fixed or the dependency on the
>> discard draft should be removed.
>>
> [Qin]: That's a good question. However in the version -03 of burst gap draft doesn't
> depend on discard draft since "summary statitistics metrics" (e.g., burst discard rate, gap discard rate)
> has already been moved to draft-zorn-xrblock-rtcp-xr-al-stat, please see section 3.3 for details.
> Now draft-zorn-xrblock-rtcp-xr-al-stat relies
> on both burst gap draft and discard draft to calculate "Gap Discard Rate".
> According to section 2.1 of Discard draft and section 2.1 of Burst Gap Discard draft,
>
> Discarded shall be regarded as A packet that arrives within
> this time window but is too early or late to be played out.
>
> Therefore I propose the following change to Discard draft:
> OLD TEXT:
> "
>    Discard Type (DT): 2bits
>
>       This field is used to identify the discard type used in this
>       report block.  The discard type is defined as follows:
>
>          00: packets are discarded due to other reasons than late
>          arrival, early arrival, or both (e.g., duplicate, redundant
>          packets)
>
>          01: packets are discarded due to too early arrival.
>
>          10: packets are discarded due to too late arrival.
>
>          11: packets are discarded due to both early arrival and late
>          arrival.
> "
> NEW TEXT:
> "
>    Discard Type (DT): 2bits
>
>       This field is used to identify the discard type used in this
>       report block.  The discard type is defined as follows:
>
>          00: packets are discarded due to too early to be played out.
>
>          01: packets are discarded due to too late to be played out.
>
>          10: packets are discarded due to both early and late to be played out.
>
>          11: packets are discarded due to other reasons than late
>          arrival at playout buffer, early arrival at playout buffer, or both (e.g., duplicate, redundant
>          packets)
> "
>
>
> Also I propose the following
> text in the draft-zorn-xrblock-rtcp-xr-al-stat to get in line with change to Discard draft and discard definition of section 2.1 of Discard draft.
>
> "
>    Gap Discard Rate: 16 bits
>
>       The fraction of packets discarded during gaps since the beginning
>       of reception expressed as a fixed point number with the binary
>       point at the left edge of the field.  This value is calculated by
>       dividing the difference between number of packets discarded and
>       Packets Discarded in Bursts by the difference between Packets
>
>
>       Expected and Total Packets expected in Bursts as follows:
>
>       (number of packets discarded - Packets Discarded in Bursts) /
>       (Packets Expected - Total Packets expected in Bursts)
>
>       where "number of packets discarded" is obtained from the RTCP XR
>       Discard Block [DISCARD] and Packets Expected is calculated as the
>       difference between "extended last sequence number" and "extended
>       first sequence number" (Interval or Cumulative) provided in the
>       Measurement Information block [MEASIDENT]."
> NEW TEXT:
> "
>    Gap Discard Rate: 16 bits
>
>       The fraction of packets discarded during gaps since the beginning
>       of reception expressed as a fixed point number with the binary
>       point at the left edge of the field.  This value is calculated by
>       dividing the difference between number of packets discarded and
>       Packets Discarded in Bursts by the difference between Packets
>
>
>       Expected and Total Packets expected in Bursts as follows:
>
>       (number of packets discarded - Packets Discarded in Bursts) /
>       (Packets Expected - Total Packets expected in Bursts)
>
>       where "number of packets discarded" is obtained from the RTCP XR
>       Discard Block [DISCARD] with "Discard Type" field set to 2      (i.e.,packets are discarded due to both early to be played out and late to be played out.)       and Packets Expected is calculated as the
>       difference between "extended last sequence number" and "extended
>       first sequence number" (Interval or Cumulative) provided in the
>       Measurement Information block [MEASIDENT]."
>
>

-- 
http://www.netlab.tkk.fi/~varun/